Plug-in context initialization
Functions

These functions are used to manage plug-in contexts from the main program perspective.

These functions are used to manage plug-in contexts from the main program perspective.

They are not intended to be used by a plug-in runtime. From the main program perspective a plug-in context is a container for installed plug-ins. There can be several plug-in context instances if there are several independent sets of plug-ins. However, different plug-in contexts are not very isolated from each other in practice because the global symbols exported by a plug-in runtime in one context are visible to all plug-ins in all context instances.

Generated on Sun Mar 31 2024 17:56:45 for C-Pluff C API by 1.9.8